> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a list of generic reports > Content of the report is translated to the specified language. ## OpenAPI ````json GET /v{version}/GenericReports { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/GenericReports": { "get": { "tags": [ "GenericReports" ], "summary": "Get a list of generic reports", "description": "Content of the report is translated to the specified language.", "operationId": "GenericReports_GetList", "parameters": [ { "name": "language", "in": "query", "description": "Language of the returned reports (default: `en`)", "schema": { "type": "string" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.GenericReport" } } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.GenericReport": { "type": "object", "properties": { "Description": { "type": "string", "description": "Description of the report", "readOnly": true }, "Id": { "type": "string", "description": "Unique ID of the report", "readOnly": true }, "Name": { "type": "string", "description": "Name of the report", "readOnly": true }, "Parameters": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.ReportParameter" }, "description": "Parameters of the report", "readOnly": true } }, "description": "Generic report" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } }, "V1.Models.ReportParameter": { "type": "object", "properties": { "DbType": { "$ref": "#/components/schemas/System.Data.SqlDbType" }, "DefaultValue": { "type": "object", "description": "Default value of the report parameter", "readOnly": true }, "Name": { "type": "string", "description": "Name of the report parameter", "readOnly": true }, "Precision": { "type": "integer", "description": "Precision of the report parameter", "format": "int32", "readOnly": true }, "Scale": { "type": "integer", "description": "Scale of the report parameter", "format": "int32", "readOnly": true }, "Size": { "type": "integer", "description": "Size of the report parameter", "format": "int32", "readOnly": true } }, "description": "Report's parameter" }, "System.Data.SqlDbType": { "enum": [ "BigInt", "Binary", "Bit", "Char", "DateTime", "Decimal", "Float", "Image", "Int", "Money", "NChar", "NText", "NVarChar", "Real", "UniqueIdentifier", "SmallDateTime", "SmallInt", "SmallMoney", "Text", "Timestamp", "TinyInt", "VarBinary", "VarChar", "Variant", "Xml", "Udt", "Structured", "Date", "Time", "DateTime2", "DateTimeOffset", "Json", "Vector" ], "type": "string" } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````